package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TeacherCourseStatistics {
    private Long id;

    /**
     * 教师id
     */
    private Integer userId;

    /**
    * 分部
    */
    private Integer organId;

    /**
    * 月份
    */
    private Date month;

    /**
    * 专业
    */
    private String subjectIdList;

    /**
    * vip课节数
    */
    private Integer vipCourseNum;

    /**
    * 乐团课节数
    */
    private Integer musicCourseNum;

    /**
    * 预计乐团课酬
    */
    private BigDecimal expectMusicCourseSalary;

    /**
    * 预计小课课酬
    */
    private BigDecimal expectVipCourseSalary;

    /**
    * 预计合计课酬
    */
    private BigDecimal expectTotalSalary;

    /**
    * 平均上课时长
    */
    private Integer averageClassMinutes;

    /**
    * 统计时间
    */
    private Date statisticsDateTime;

    private String groupType;

    private String realName;

    private String phone;

    private String organName;

    private String monthStr;

    private List<Subject> subjectList;

    private String subjectListStr;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public void setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
    }

    public Integer getVipCourseNum() {
        return vipCourseNum;
    }

    public void setVipCourseNum(Integer vipCourseNum) {
        this.vipCourseNum = vipCourseNum;
    }

    public Integer getMusicCourseNum() {
        return musicCourseNum;
    }

    public void setMusicCourseNum(Integer musicCourseNum) {
        this.musicCourseNum = musicCourseNum;
    }

    public BigDecimal getExpectMusicCourseSalary() {
        return expectMusicCourseSalary;
    }

    public void setExpectMusicCourseSalary(BigDecimal expectMusicCourseSalary) {
        this.expectMusicCourseSalary = expectMusicCourseSalary;
    }

    public BigDecimal getExpectVipCourseSalary() {
        return expectVipCourseSalary;
    }

    public void setExpectVipCourseSalary(BigDecimal expectVipCourseSalary) {
        this.expectVipCourseSalary = expectVipCourseSalary;
    }

    public BigDecimal getExpectTotalSalary() {
        return expectTotalSalary;
    }

    public void setExpectTotalSalary(BigDecimal expectTotalSalary) {
        this.expectTotalSalary = expectTotalSalary;
    }

    public Integer getAverageClassMinutes() {
        return averageClassMinutes;
    }

    public void setAverageClassMinutes(Integer averageClassMinutes) {
        this.averageClassMinutes = averageClassMinutes;
    }

    public Date getStatisticsDateTime() {
        return statisticsDateTime;
    }

    public void setStatisticsDateTime(Date statisticsDateTime) {
        this.statisticsDateTime = statisticsDateTime;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMonthStr() {
        return monthStr;
    }

    public void setMonthStr(String monthStr) {
        this.monthStr = monthStr;
    }

    public List<Subject> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<Subject> subjectList) {
        this.subjectList = subjectList;
    }

    public String getSubjectListStr() {
        return subjectListStr;
    }

    public void setSubjectListStr(String subjectListStr) {
        this.subjectListStr = subjectListStr;
    }
}